<?php

$xbox->open_mixed_field(array(
    'name' => esc_html__( 'Scripts in Head', 'teamgrid' ),
    'desc_name' => sprintf( esc_html__( 'Add valid html code to insert into the %s tag', 'teamgrid' ), '<code>&lt;head&gt;</code>' ),
));
$xbox->add_field( array(
    'id' => 'header-scripts',
    'type' => 'code_editor',
    'default' => $defaults['header-scripts'],
    'options' => array(
        'show_name' => false,
        'language' => 'html',
        'theme' => 'tomorrow_night',
        'height' => '280px',
    ),
) );
$xbox->add_field( array(
    'id' => 'header-scripts-priority',
    'name' => esc_html__('Wp Hook Priority', 'teamgrid'),
    'type' => 'number',
    'default' => $defaults['header-scripts-priority'],
    'attributes' => array(
        'min' => 1
    ),
    'options' => array(
        'show_spinner' => true,
        'show_unit' => false,
    )
));
$xbox->close_mixed_field();

$xbox->open_mixed_field(array(
    'name' => esc_html__( 'Scripts in Footer', 'teamgrid' ),
    'desc_name' => sprintf( esc_html__( 'Add valid html code to insert before %s tag', 'teamgrid' ), '<code>&lt;/body&gt;</code>' ),
));
$xbox->add_field( array(
    'id' => 'footer-scripts',
    'type' => 'code_editor',
    'default' => $defaults['footer-scripts'],
    'options' => array(
        'show_name' => false,
        'language' => 'html',
        'theme' => 'tomorrow_night',
        'height' => '280px',
    ),
) );
$xbox->add_field( array(
    'id' => 'footer-scripts-priority',
    'name' => esc_html__('Wp Hook Priority', 'teamgrid'),
    'type' => 'number',
    'default' => $defaults['footer-scripts-priority'],
    'attributes' => array(
        'min' => 1
    ),
    'options' => array(
        'show_spinner' => true,
        'show_unit' => false,
    )
));
$xbox->close_mixed_field();