<?php

use TeamGrid\Includes\Functions;

$id = Functions::get_id();

$xbox->open_mixed_field(array(
    'name' => esc_html__('Member full content', 'teamgrid'),
    'desc_name' => esc_html__('Use this shortcode to show the member image, content, fields, skills and social icons', 'teamgrid'),
));
$block_content = '';
$block_content .= '<textarea class="tgr-input-selector" readonly style="display: block; width: 100%; height: 40px;">';
$block_content .= '[teamgrid_member id="'. esc_attr( $id ) .'" class="my-custom-member"]';
$block_content .= "\n";
$block_content .= '</textarea>';

$xbox->add_field(array(
    'desc_title' => esc_html__('Attributes:', 'teamgrid'),
    'desc' => '
<li>id: Member ID </li>
<li>class: Html class for the container</li>
',
    'type' => 'html',
    'content' => $block_content,
    'grid' => '8-of-8',
));
$xbox->close_mixed_field();

$xbox->open_mixed_field(array(
    'name' => esc_html__('Member image', 'teamgrid'),
    'desc_name' => esc_html__('Use this shortcode to show the member image', 'teamgrid'),
));
$block_content = '';
$block_content .= '<textarea class="tgr-input-selector" readonly style="display: block; width: 100%; height: 40px;">';
$block_content .= '[teamgrid_member_image id="'. esc_attr( $id ) .'" class="my-custom-member"]';
$block_content .= "\n";
$block_content .= '</textarea>';

$xbox->add_field(array(
    'desc_title' => esc_html__('Attributes:', 'teamgrid'),
    'desc' => '
<li>id: Member ID </li>
<li>class: Html class for the container</li>
',
    'type' => 'html',
    'content' => $block_content,
    'grid' => '8-of-8',
));
$xbox->close_mixed_field();


$xbox->open_mixed_field(array(
    'name' => esc_html__('Member role', 'teamgrid'),
    'desc_name' => esc_html__('Use this shortcode to show the member role', 'teamgrid'),
));
$block_content = '';
$block_content .= '<textarea class="tgr-input-selector" readonly style="display: block; width: 100%; height: 40px;">';
$block_content .= '[teamgrid_member_role id="'. esc_attr( $id ) .'" class="my-custom-member"]';
$block_content .= "\n";
$block_content .= '</textarea>';

$xbox->add_field(array(
    'desc_title' => esc_html__('Attributes:', 'teamgrid'),
    'desc' => '
<li>id: Member ID</li>
<li>class: Html class for the container</li>
',
    'type' => 'html',
    'content' => $block_content,
    'grid' => '8-of-8',
));
$xbox->close_mixed_field();


$xbox->open_mixed_field(array(
    'name' => esc_html__('Member content', 'teamgrid'),
    'desc_name' => esc_html__('Use this shortcode to show the member content', 'teamgrid'),
));
$block_content = '';
$block_content .= '<textarea class="tgr-input-selector" readonly style="display: block; width: 100%; height: 40px;">';
$block_content .= '[teamgrid_member_content id="'. esc_attr( $id ) .'" class="my-custom-member"]';
$block_content .= "\n";
$block_content .= '</textarea>';

$xbox->add_field(array(
    'desc_title' => esc_html__('Attributes:', 'teamgrid'),
    'desc' => '
<li>id: Member ID </li>
<li>class: Html class for the container</li>
',
    'type' => 'html',
    'content' => $block_content,
    'grid' => '8-of-8',
));
$xbox->close_mixed_field();

$xbox->open_mixed_field(array(
    'name' => esc_html__('Member fields', 'teamgrid'),
    'desc_name' => esc_html__('Use this shortcode to show the member fields', 'teamgrid'),
));
$block_content = '';
$block_content .= '<textarea class="tgr-input-selector" readonly style="display: block; width: 100%; height: 40px;">';
$block_content .= '[teamgrid_member_fields id="'. esc_attr( $id ) .'" class="my-custom-member"]';
$block_content .= "\n";
$block_content .= '</textarea>';

$xbox->add_field(array(
    'desc_title' => esc_html__('Attributes:', 'teamgrid'),
    'desc' => '
<li>id: Member ID </li>
<li>class: Html class for the container</li>
',
    'type' => 'html',
    'content' => $block_content,
    'grid' => '8-of-8',
));
$xbox->close_mixed_field();

$xbox->open_mixed_field(array(
    'name' => esc_html__('Member skills', 'teamgrid'),
    'desc_name' => esc_html__('Use this shortcode to show the member skills', 'teamgrid'),
));
$block_content = '';
$block_content .= '<textarea class="tgr-input-selector" readonly style="display: block; width: 100%; height: 40px;">';
$block_content .= '[teamgrid_member_skills id="'. esc_attr( $id ) .'" class="my-custom-member"]';
$block_content .= "\n";
$block_content .= '</textarea>';

$xbox->add_field(array(
    'desc_title' => esc_html__('Attributes:', 'teamgrid'),
    'desc' => '
<li>id: Member ID </li>
<li>class: Html class for the container</li>
',
    'type' => 'html',
    'content' => $block_content,
    'grid' => '8-of-8',
));
$xbox->close_mixed_field();

$xbox->open_mixed_field(array(
    'name' => esc_html__('Member social icons', 'teamgrid'),
    'desc_name' => esc_html__('Use this shortcode to show the member social icons', 'teamgrid'),
));
$block_content = '';
$block_content .= '<textarea class="tgr-input-selector" readonly style="display: block; width: 100%; height: 40px;">';
$block_content .= '[teamgrid_member_social id="'. esc_attr( $id ) .'" class="my-custom-member"]';
$block_content .= "\n";
$block_content .= '</textarea>';

$xbox->add_field(array(
    'desc_title' => esc_html__('Attributes:', 'teamgrid'),
    'desc' => '
<li>id: Member ID </li>
<li>class: Html class for the container</li>
',
    'type' => 'html',
    'content' => $block_content,
    'grid' => '8-of-8',
));
$xbox->close_mixed_field();