<?php

use TeamGrid\Includes\Functions;

$id = Functions::get_id();

$xbox->open_mixed_field( array(
    'name' => esc_html__( 'Team shorcode', 'teamgrid' ),
) );
$block_content = '';
$block_content .= '<textarea class="tgr-input-selector" readonly style="display: block; width: 100%; height: 40px;">';
$block_content .= '[teamgrid_team id="' . esc_attr( $id ) . '" class="my-custom-team"]';
$block_content .= "\n";
$block_content .= '</textarea>';

$xbox->add_field( array(
    'desc_title' => esc_html__( 'Attributes:', 'teamgrid' ),
    'desc' => '
<li>id: Team ID </li>
<li>class (optional): Html class for the container</li>
<li>show_title (optional): Valid values: on, off</li>
<li>columns (optional): Valid values: 2, 3, 4, 5, 6</li>
<li>viewer (optional): Member viewer. Valid values: none, popup, inline, slide-in-left, slide-in-right, member-link</li>
<li>responsive_by (optional): The reference to resize the items. Valid values: window, parent</li>
',
    'type' => 'html',
    'content' => $block_content,
    'grid' => '8-of-8',
) );
$xbox->close_mixed_field();