<?php

$xbox->add_field(array(
    'type' => 'title',
    'desc' => esc_html__( "Styles for a member's skills that are displayed independently on a page using the plugin shortcodes", 'teamgrid' )
));

$xbox->add_field(array(
    'id' => 'skills-title',
    'name' => esc_html__( 'Skill title', 'teamgrid' ),
    'desc' => sprintf( esc_html__( 'Enter a title and the html tag of your choice. E.g: %s', 'teamgrid' ), '&lt;h4&gt;Skills:&lt;/h4&gt;'),
    'type' => 'text',
    'default' => '<h4>Skills:</h4>',
    'grid' => '3-of-6',
));

$xbox->add_field(array(
    'id' => 'skills-bg-color',
    'name' => esc_html__( 'Skill background', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 0.2)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
    ),
));
$xbox->add_field(array(
    'id' => 'skills-bg-percent',
    'name' => esc_html__( 'Skill percent background', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 0.7)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
    ),
));