<?php

$xbox->open_mixed_field( array(
    'name' => esc_html__( 'Team title & Description', 'teamgrid' ),
) );
$xbox->add_field(array(
    'id' => 'show-title',
    'name' => esc_html__( 'Show team title', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
));
$xbox->add_field(array(
    'id' => 'team-description',
    'name' => esc_html__( 'Team Description', 'teamgrid' ),
    'type' => 'text',
    'default' => '',
    'grid' => '4-of-8',
));
$xbox->close_mixed_field();

$xbox->add_field(array(
    'id' => 'responsive-by',
    'name' => esc_html__( 'Reference to resize the items', 'teamgrid' ),
    'type' => 'radio',
    'default' => 'window',
    'items' => array(
        'window' => 'Window',
        'parent' => 'Parent div',
    ),
));

$xbox->add_field(array(
    'id' => 'team-class',
    'name' => esc_html__( 'Team container class name', 'teamgrid' ),
    'type' => 'text',
    'default' => '',
    'attributes' => array(
        'placeholder' => 'my-team'
    ),
    'desc' => 'Example: my-team',
));

$xbox->add_field(array(
    'id' => 'load-using-ajax',
    'name' => esc_html__( 'Load team using AJAX', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
));
